public Action:CS_OnBuyCommand(client, const String:ItemName[])
{
	if (wS_GetRestrictedItemIndex(client, ItemName, true) > 0) return Plugin_Handled;
	return Plugin_Continue;
}

public item_pickup(Handle:event, const String:name[], bool:silent)
{
	decl ent, client, String:ItemName[20];
	client = GetClientOfUserId(GetEventInt(event, "userid"));
	GetEventString(event, "item", ItemName, 20);
	if ((ent = wS_GetRestrictedItemIndex(client, ItemName)) > MaxClients && RemovePlayerItem(client, ent))
	{
		AcceptEntityInput(ent, "Kill");
	}
}

wS_GetRestrictedItemIndex(client, const String:ItemName[], bool:buy = false)
{
	if(VIP_IsClientVIP(client) &&
	VIP_IsClientFeatureUse(client, VIP_WL_IMMUNITY) &&
	FindStringInArray(g_hVIP_RestrictWeaponArray, ItemName) == -1)
	{
		return -1;
	}
	// не ограничено
	decl limit;
	if (!GetTrieValue(g_Limit_Trie, ItemName, limit))
		return -1;

	// не удалось получить слот
	decl slot;
	if (!GetTrieValue(g_Slots_Trie, ItemName, slot))
		return -1;

	if (limit < 1 || wS_ItemLimited(ItemName, slot, client, limit))
	{
		PrintToChat(client, "\x04Оружие < \x03%s \x04> ограничено \x03%d \x04на команду", ItemName, limit);
		ClientCommand(client, "playgamesound resource/warning.wav");
		if (buy) return client;
		return GetPlayerWeaponSlot(client, slot);
	}

	return -1;
}

bool:wS_ItemLimited(const String:ItemName[], slot, client, limit)
{
	decl i, ent, String:active_weapon[32];
	new team = GetClientTeam(client), count = 0;
	for (i = 1; i <= MaxClients; i++)
	{
		if (i != client 
			&& IsClientInGame(i) 
			&& GetClientTeam(i) == team 
			&& IsPlayerAlive(i) 
			&& (ent = GetPlayerWeaponSlot(i, slot)) > MaxClients  
			&& GetEntityClassname(ent, active_weapon, 32) 
			&& strcmp(active_weapon[7], ItemName, false) == 0 
			&& ++count >= limit)
		{
			return true;
		}
	}
	return false;
}