public OnMapStart()
{
	ClearTrie(g_Limit_Trie);
	ClearArray(g_hVIP_RestrictWeaponArray);
	
	decl Handle:hBuffer, String:sBuffer[PLATFORM_MAX_PATH];
	hBuffer = OpenFile("addons/sourcemod/data/vip/modules/vip_restrict_weapons.ini", "r");
	if(hBuffer != INVALID_HANDLE)
	{
		while (IsEndOfFile(hBuffer) == false && ReadFileLine(hBuffer, sBuffer, sizeof(sBuffer)))
		{
			if(sBuffer[0])
			{
				PushArrayString(g_hVIP_RestrictWeaponArray, sBuffer);
			}
		}

		CloseHandle(hBuffer);
	}

	hBuffer = CreateKeyValues("weapon_limit");
	if (!FileToKeyValues(hBuffer, "cfg/weapon_limit.txt") || !KvGotoFirstSubKey(hBuffer, true))
	{
		CloseHandle(hBuffer);
		return;
	}
	decl String:ItemName[32], String:MapPrefix[15], String:MAPS[3000], String:MAPS_PREFIX[1500];
	GetCurrentMap(sBuffer, 150); Format(sBuffer, 150, "%s;", sBuffer);
	if (SplitString(sBuffer, "_", MapPrefix, 15) != -1)
		Format(MapPrefix, 15, "%s;", MapPrefix);
	else
		MapPrefix[0] = '\0';
	do
	{
		if (!KvGetSectionName(hBuffer, ItemName, 32) || FindStringInArray(g_Items_Arrr, ItemName) == -1)
			continue;

		KvGetString(hBuffer, "maps", MAPS, 3000, "wS");
		KvGetString(hBuffer, "maps_prefix", MAPS_PREFIX, 1500, "wS");

		if (strcmp(MAPS, "wS") == 0 && strcmp(MAPS_PREFIX, "wS") == 0 || StrContains(MAPS, sBuffer) != -1 || StrContains(MAPS_PREFIX, MapPrefix) != -1)
		{
			SetTrieValue(g_Limit_Trie, ItemName, KvGetNum(hBuffer, "limit"));
		}
	}
	while (KvGotoNextKey(hBuffer, true));
	CloseHandle(hBuffer);

}